# Generated by Django 4.1.7 on 2023-03-30 08:11

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Group',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(verbose_name='Название группы')),
                ('description', models.TextField(verbose_name='Описание группы')),
            ],
        ),
        migrations.CreateModel(
            name='Participant',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(verbose_name='Имя участника')),
                ('wish', models.TextField(blank=True, verbose_name='Пожелание')),
                ('group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.group', verbose_name='Группа')),
                ('recipient', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.participant', verbose_name='Подопечный')),
            ],
        ),
    ]
